forward_list File Reference

Go to the source code of this file.

## Classes

class | __gnu_debug::_Safe_forward_list< _SafeSequence >
class | std::__debug::forward_list< _Tp, _Alloc >

## Namespaces

namespace | __gnu_debug
namespace | std
namespace | std::__debug

## Macros

#define | __glibcxx_check_valid_fl_range(_First, _Last, _Dist)
#define | _GLIBCXX20_ONLY(__expr)
#define | _GLIBCXX_FWDLIST_REMOVE_RETURN_TYPE_TAG

## Functions

template<typename _InputIterator, typename _ValT = typename iterator_traits<_InputIterator>::value_type, typename _Allocator = allocator<_ValT>, typename = _RequireInputIter<_InputIterator>, typename = _RequireAllocator<_Allocator>>
| std::__debug::forward_list (_InputIterator, _InputIterator, _Allocator=_Allocator()) -> forward_list< _ValT, _Allocator >
template<typename _Tp, typename _Allocator = allocator<_Tp>, typename = _RequireAllocator<_Allocator>>
| std::__debug::forward_list (size_t, _Tp, _Allocator=_Allocator()) -> forward_list< _Tp, _Allocator >
template<typename _Tp, typename _Alloc>
constexpr __detail::__synth3way_t< _Tp > | std::__debug::operator<=> (const forward_list< _Tp, _Alloc > &__x, const forward_list< _Tp, _Alloc > &__y)
template<typename _Tp, typename _Alloc>
bool | std::__debug::operator== (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp, typename _Alloc>
void | std::__debug::swap (forward_list< _Tp, _Alloc > &__lx, forward_list< _Tp, _Alloc > &__ly) noexcept(noexcept(__lx.swap(__ly)))

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug/forward_list.

## Macro Definition Documentation

## __glibcxx_check_valid_fl_range

#define __glibcxx_check_valid_fl_range | ( |  | _First,
|  |  | _Last,
|  |  | _Dist )

Definition at line 47 of file debug/forward_list.

## _GLIBCXX20_ONLY

#define _GLIBCXX20_ONLY | ( |  | __expr | ) |

Definition at line 744 of file debug/forward_list.

## _GLIBCXX_FWDLIST_REMOVE_RETURN_TYPE_TAG

#define _GLIBCXX_FWDLIST_REMOVE_RETURN_TYPE_TAG

Definition at line 742 of file debug/forward_list.